package jp.ac.takushoku_u.cs;

/**
* NegativeSequenceSizeExceptionクラスは負のサイズを持つSequenceを、
* 生成しようとしたことを示すためにスローされます。
* @version 1.0
* @author 笠島 裕史(Kasajima Hiroshi)
*/
/*
* 最終更新日 2004年11月12日
*/

public class NegativeSequenceSizeException extends SequenceException{

/**
* メッセージを持たない NegativeSequenceSizeException を構築します。
*/
	public NegativeSequenceSizeException(){
		super();
	}
	
/**
* 指定した詳細メッセージを持つ NegativeSequenceSizeException を構築します。
* @param s 詳細メッセージ
*/
	public NegativeSequenceSizeException(String s){
		super(s);
	}
}